--- title: "Node Count Graph" url: https://docs.catalyst.zoho.com/en/api/code-reference/smartbrowz/browser-grid/node-count-graph/ description: "This API enables you to get data on the number of nodes active in the grid during 24 hours." last_updated: 2026-08-28T06:26:16Z service: SmartBrowz type: api --- ## Node Count Graph ### Description You can use this API to get data on the number of nodes active in the grid during 24 hours. The required grid will be referred to using its [Grid ID](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/). ### Request Details #### Request URL `GET` {api-domain}/browser360/v1/project/{project_id}/browser-grid/{grid_id}/graph-data?datetime_filter=24+Hours&data_to_fetch=node_graph_data - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **grid_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/) to refer to the required grid #### Scope ZohoCatalyst.grid.read #### Request Headers for API Using OAuth **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** Provide the value of your [Org ID](https://docs.catalyst.zoho.com/en/getting-started/catalyst-organizations/). #### Request Headers for API Using API Key **Authorization** **api-key:** The unique key generated by Catalyst. It can be [retrieved from the console](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/). ### Response Details You will receive a response containing the time and node count of a browser grid during 24 hours. The required grid is referred to using its Grid ID. > **Notice:** Any Browser action or operation that you code using the Browser Logic function, or any browser automation or web scraping task that you perform using any component of **Catalyst SmartBrowz** is at your own risk. We strongly recommend you use the SmartBrowz components to perform operations on domains that permit the actions, or with proper approval. Additionally, while Catalyst does provide a secure infrastructure to code your functions, any consequence of the logic you code using Catalyst functions is yours alone. **CURL Request - Get Graph Data On Node Count Using OAuth** ```json curl -X GET 'https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/graph-data?datetime_filter=24+Hours&data_to_fetch=node_graph_data' \ -H 'CATALYST-ORG: 111737956' \ -H 'Authorization: Zoho-oauthtoken 1000*********************************************780' ``` **CURL Request - Get Graph Data On Node Count Using API Key** ```json curl -X GET 'https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/graph-data?datetime_filter=24+Hours&data_to_fetch=node_graph_data' \ -H 'CATALYST-ORG: 111737956' \ -H 'api-key: 96********************************************************************7049' ``` **Example Response** ```json { "status": "success", "data": [ ["Sep 23 2025, 11:00 AM", 0.0], ["Sep 23 2025, 01:00 PM", 0.0], ["Sep 23 2025, 03:00 PM", 0.0], ["Sep 23 2025, 05:00 PM", 1.0], ["Sep 23 2025, 07:00 PM", 0.0], ["Sep 23 2025, 09:00 PM", 0.0], ["Sep 23 2025, 11:00 PM", 0.0], ["Sep 24 2025, 01:00 AM", 0.0], ["Sep 24 2025, 03:00 AM", 0.0], ["Sep 24 2025, 05:00 AM", 0.0], ["Sep 24 2025, 07:00 AM", 0.0], ["Sep 24 2025, 09:00 AM", 0.0], ["Sep 24 2025, 11:00 AM", 0.0], ["Sep 24 2025, 01:00 PM", 0.0] ] } ``` ### SDK Documentation [Browser Grid - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/smartbrowz/browser-grid/overview/) [Browser Grid - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/smartbrowz/browser-grid/overview/) [Browser Grid - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/smartbrowz/browser-grid/overview/)